Crystal Space: csMD5 Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csMD5 Class Reference

This is an encapsulation of a C-implementation of MD5 digest algorithm by Peter Deutsch <ghost@aladdin.com>. More...

`#include <csutil/csmd5.h>`

List of all members.

## Public Types
typedef uint8 | md5_byte_t
| 8-bit byte
typedef uint32 | md5_word_t
| 32-bit word
## Static Public Member Functions
static Digest | Encode (const void *, size_t nbytes)
| Encode a buffer.
static Digest | Encode (const char *)
| Encode a null-terminated string buffer.
static Digest | Encode (csString const &)
| Encode a string.
static void | md5_append (md5_state_t *, const md5_byte_t *data, size_t nbytes)
| Append a string to the message.
static void | md5_finish (md5_state_t *, md5_byte_t digest[16])
| Finish the message and return the digest.
static void | md5_init (md5_state_t *)
| Initialize the algorithm.
## Classes
struct | Digest
| An MD5 digest is 16 unsigned characters (not 0-terminated). More...
struct | md5_state_t

## Detailed Description

This is an encapsulation of a C-implementation of MD5 digest algorithm by Peter Deutsch <ghost@aladdin.com>.

It provides the exact raw interface as Peter's original code except that it is wrapped within a namespace, as well as a more convenient interface which allows one to create a digest in a single step.

Definition at line 77 of file csmd5.h.

## Member Typedef Documentation

typedef uint8 csMD5::md5_byte_t

8-bit byte

Definition at line 81 of file csmd5.h.

typedef uint32 csMD5::md5_word_t

32-bit word

Definition at line 83 of file csmd5.h.

## Member Function Documentation

static Digest csMD5::Encode | ( | const void * | ,
|  | size_t | nbytes |
| ) |  |  | `[static]`

Encode a buffer.

static Digest csMD5::Encode | ( | const char * |  | ) | `[static]`

Encode a null-terminated string buffer.

static Digest csMD5::Encode | ( | csString const & |  | ) | `[static]`

Encode a string.

static void csMD5::md5_append | ( | md5_state_t * | ,
|  | const md5_byte_t * | data,
|  | size_t | nbytes |
| ) |  |  | `[static]`

Append a string to the message.

static void csMD5::md5_finish | ( | md5_state_t * | ,
|  | md5_byte_t | digest[16] |
| ) |  |  | `[static]`

Finish the message and return the digest.

static void csMD5::md5_init | ( | md5_state_t * |  | ) | `[static]`

Initialize the algorithm.

The documentation for this class was generated from the following file:

- csutil/csmd5.h